> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudglue.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get File Segments

> Get a file segment



## OpenAPI

````yaml GET /files/{file_id}/segments/{segment_id}
openapi: 3.0.0
info:
  title: Cloudglue API
  description: API for Cloudglue
  license:
    name: Apache License 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 0.7.13
servers:
  - url: https://api.cloudglue.dev/v1
security:
  - bearerAuth: []
paths:
  /files/{file_id}/segments/{segment_id}:
    get:
      tags:
        - Files
        - File Segments
      summary: Get a file segment
      description: Get a file segment
      operationId: getFileSegment
      parameters:
        - name: file_id
          in: path
          required: true
          description: The ID of the file
          schema:
            type: string
            format: uuid
        - name: segment_id
          in: path
          required: true
          description: The ID of the segment
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: File segment
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileSegment'
        '404':
          description: File segment not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: An unexpected error occurred on the server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    FileSegment:
      type: object
      required:
        - id
        - file_id
        - start_time
        - end_time
        - thumbnail_url
      properties:
        id:
          type: string
          format: uuid
          description: The ID of the segment
        file_id:
          type: string
          format: uuid
          description: The ID of the file
        start_time:
          type: number
          description: The start time of the segment in seconds
        end_time:
          type: number
          description: The end time of the segment in seconds
        thumbnail_url:
          type: string
          description: The URL of the thumbnail for the segment (if available)
        metadata:
          type: object
          description: The user defined metadata for the segment
        segmentation_id:
          type: string
          format: uuid
          description: The ID of the segmentation job it belongs to
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````